package p10_klasy.v4;

import java.util.ArrayList;
import java.util.List;

class Student extends Osoba {
    String kierunek;
    int rok;
    List<Integer> oceny = new ArrayList<>();

    Student() {
    }

    public Student(String imie, String nazwisko, int wiek, String kierunek, int rok) {
        super(imie, nazwisko, wiek);
        this.kierunek = kierunek;
        this.rok = rok;
    }

    void dodajOcene(int ocena) {
        oceny.add(ocena);
    }

    double sredniaOcen() {
        return oceny.stream().mapToInt(Integer::intValue).average().orElse(0.0);
    }
}
